%define name kfortune
%define version 1.3
%define release 9mdk

Summary: Kfortune -  a simple fortune program for Kde
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Source1: kfortune_menuentry
Source2: mini-kfortune.xpm
Patch0: kfortune-1.3.3-compil.patch.bz2
Copyright: GPL
URL: http://www.fys.ruu.nl/~eendebak/kde/kfortune.html
Group: Toys
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt >= 1.44

%description
KFortune is a simple program for Kde. The program shows a short message,
called a 'fortune' every time the program is started on the user requests a
new fortune.

%prep
%setup -q
%patch0 -p0 -b .compil

%build
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix="$RPM_BUILD_ROOT/usr"

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kfortune

# (fg) small icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/kfortune.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/kfortune
/usr/lib/menu/kfortune
%dir /usr/share/apps
/usr/share/apps/kfortune
%dir /usr/share/icons
/usr/share/icons/kfortune.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kfortune.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kfortune.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/kfortune

%changelog

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-9mdk

- post and postun scripts for menu
- Added --disable-rpath to ./configure

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-8mdk

- Don't use autogenerated file list
- Don't use prefix
- Small icon
- Menu entry
- Changed group

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- 1.3.

# end of file
